PaidGoods
API referenceFeedbacks

Update review moderation and reward-coupon settings

PUT
/v1/stores/{storeId}/feedbacks/settings

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/feedbacks/settings" \  -H "Content-Type: application/json" \  -d '{    "requireApproval": true,    "rewardEnabled": true,    "rewardKind": "percent",    "rewardValue": -9007199254740991,    "rewardCurrency": "str",    "automaticEnabled": true,    "automaticDelayDays": 1  }'
{  "requireApproval": true,  "rewardEnabled": true,  "rewardKind": "percent",  "rewardValue": -9007199254740991,  "rewardCurrency": "str",  "automaticEnabled": true,  "automaticDelayDays": 1}